// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SceneItemComponent.hpp"
#include "SceneItem.hpp"
#include "Scene.hpp"
#include "game/DawnGame.hpp"

using namespace Dawn;

SceneItemComponent::SceneItemComponent(SceneItem *item) {
  assertNotNull(item);
  this->item = item;
  this->transform = &item->transform;
}

void SceneItemComponent::init() {
  this->onStart();
  this->hasInitialized = true;
}

std::vector<SceneItemComponent*> SceneItemComponent::getDependencies() {
  return std::vector<SceneItemComponent*>();
}

Scene * SceneItemComponent::getScene() {
  return this->item->scene;
}

DawnGame * SceneItemComponent::getGame() {
  return this->item->scene->game;
}

ScenePhysicsManager * SceneItemComponent::getPhysics() {
  return this->item->scene->physics;
}

void SceneItemComponent::onStart() {
  
}

void SceneItemComponent::onDispose() {

}

SceneItemComponent::~SceneItemComponent() {

}