// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "TicTacToeTile.hpp"
#include "scene/SceneItem.hpp"

using namespace Dawn;

TicTacToeTile::TicTacToeTile(SceneItem *item) : SceneItemComponent(item) {
}

void TicTacToeTile::onStart() {
  this->setState(TIC_TAC_TOE_EMPTY);
}

enum TicTacToeTileState TicTacToeTile::getState() {
  return this->state;
}

void TicTacToeTile::setState(enum TicTacToeTileState state) {
  auto ts = this->item->getComponent<TiledSprite>();
  
  ts->setTile(state);

  this->state = state;
}