// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "scene/components/display/TiledSprite.hpp"
#include "games/tictactoe/TicTacToeLogic.hpp"

namespace Dawn {
  class TicTacToeTile : public SceneItemComponent {
    public:
      enum TicTacToeTileState state = TIC_TAC_TOE_EMPTY;
      bool_t hovered = false;
      uint8_t tile;

      TicTacToeTile(SceneItem *item);

      void onStart() override;

      enum TicTacToeTileState getState();

      void setState(enum TicTacToeTileState state);
  };
}